'use strict';

const config = {
	debug: !0,
	version: '1.0.0',
	
	route: {
		index: '/pages/index/index',
		login: '/pages/index/login',
		// 安全事件填报
		fillin: '/pages/fill-in/index',
		// 我的安全事件填报 - 事件类型选择
		fillin_safeThingsType: '/pages/fill-in/safeThingsType',
		// 我的安全事件填报 -多类型选择
		fillin_checkbox: '/pages/fill-in/checkboxPage',
		// 货代-查获位置
		fillin_huodai_behaviorThingsPlaceVo: '/pages/fill-in/behaviorThingsPlaceVo',
		// 货代-简要情况
		fillin_huodai_briefDetails: '/pages/fill-in/briefDetails',
		// 我的安全事件填报
		myFillin: '/pages/my-fillin/index',
		// 我的安全事件填报详情
		myFillinDetail: '/pages/my-fillin/detail'
	},
	
	const: {
		access_token: 'Authorization'
	},
	
	datas: {
		// 查获位置的json格式
		safeThingsPlaceJson: [
			{
				key: 1,
				value: '人身',
				checked: false
			},
			{
				key: 2,
				value: '随身行李',
				checked: false
			},
			{
				key: 3,
				value: '托运行李',
				checked: false
			},
			{
				key: 4,
				value: '其他：',
				extra: null,
				checked: false
			}
		],
		// 简要情况的json格式
		briefDetailsJson: [
			{
				key: 1,
				value: '1、使用疑似冒用证件；',
				checked: false
			},
			{
				key: 2,
				value: '2、使用疑似伪造、变造证件；',
				checked: false
			},
			{
				key: 3,
				value: '3、在托运行李中夹带危险物品；',
				checked: false
			},
			{
				key: 4,
				value: '4、随身携带危险物品；',
				checked: false
			},
			{
				key: 5,
				value: '5、在人身或行李中藏匿携带危险物品或限带物品的；',
				checked: false
			},
			{
				key: 6,
				value: '6、不配合安全检查、堵塞安检口或冲闯安检现场，扰乱安检正常工作秩序；',
				checked: false
			},
			{
				key: 7,
				value: '7、扬言实施放火、爆炸、投放危险物质扰乱安全检查工作秩序；',
				checked: false
			},
			{
				key: 8,
				value: '8、在安检通道内盗窃其他旅客财物；',
				checked: false
			},
			{
				key: 9,
				value: '9、其他：',
				extra: null,
				checked: false
			}
		]
	}
	
}

export default config