import App from './App'

// #ifndef VUE3
import Vue from 'vue'
import './uni.promisify.adaptor'
import uView from '@/uni_modules/uview-ui'
Vue.use(uView)
import './utils/filter'
import config from './common/config.js'
Vue.prototype.$config = config
// 引入vuex
import store from './store'
// Vue.prototype.$store = store
uni.$u.setConfig({
	props: {
		line: {
			color: '#333333'
		}
	}
})
import navigate from './utils/navigate.js'
Vue.prototype.$navigate = navigate
Vue.config.productionTip = false
App.mpType = 'app'

import moment from 'moment'
import 'moment/locale/zh-cn'
moment.locale('zh-cn')

const app = new Vue({
  ...App,
  store
})
// 引入请求封装，将app参数传递到配置中
require('@/network/request.js')(app)
app.$mount()
// #endif

// #ifdef VUE3
import { createSSRApp } from 'vue'
export function createApp() {
  const app = createSSRApp(App)
  return {
    app
  }
}
// #endif