const http = uni.$u.http

// 单文件上传
export const uploadFile = (filePath, custom = {}) => http.upload('upload/pictureLocal', {
																				// #ifdef MP-ALIPAY
																				fileType: 'image/video/audio', // 仅支付宝小程序，且必填。
																				// #endif
																				filePath,
																				custom,
																				name: 'file'
																				})

// 多文件上传
export const uploadMultiFile = (files, custom = {}) => http.upload('upload/pictureLocal', {
																				// #ifdef MP-ALIPAY
																				fileType: 'image/video/audio', // 仅支付宝小程序，且必填。
																				// #endif
																				files,
																				custom
																				})

// 版本更新
export const updateApp = (params, custom = {}) => http.post('info/version/query', params, { custom: { ...custom, type: 'json' } })

// app使用时长统计
export const heartTracking = (params, custom = {}) => http.post('tracking/duration', params, { custom: { ...custom, type: 'json' } })