const http = uni.$u.http

// 账号密码登录
export const loginByPwd = ({username, password}, custom = {}) => http.get('app/safeThing/doLogin', {params: {username, password}}, { custom })

// 获取当前用户信息
export const getUserInfo = (custom = {}) => http.get('app/safeThing/getInfo', null, { custom })

// 刷脸登录
export const faceLogin = (id, custom = {}) => http.get('app/safeThing/faceLogin', {params: {safeThingsUserId: id}}, { custom })

// 获取所有用户实名照片
export const getUsersFace = (custom = {}) => http.get('app/safeThing/getUserList', null, { custom })