const MomentLocalesPlugin = require('moment-locales-webpack-plugin');

module.exports = {
	configureWebpack: {
		plugins: [
		    // To strip all locales except “en”, “zh-cn” (“en” is built into Moment and can’t be removed)
		    new MomentLocalesPlugin({
		        localesToKeep: ['zh-cn'],
		    })
		]
	}
};